(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('string-search-highlighter', ['exports', '@angular/core'], factory) :
    (global = global || self, factory(global['string-search-highlighter'] = {}, global.ng.core));
}(this, (function (exports, core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/string-search-highlighter.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StringSearchHighlighterService = /** @class */ (function () {
        function StringSearchHighlighterService() {
        }
        StringSearchHighlighterService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        StringSearchHighlighterService.ctorParameters = function () { return []; };
        /** @nocollapse */ StringSearchHighlighterService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function StringSearchHighlighterService_Factory() { return new StringSearchHighlighterService(); }, token: StringSearchHighlighterService, providedIn: "root" });
        return StringSearchHighlighterService;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/string-search-highlighter.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StringSearchHighlighterComponent = /** @class */ (function () {
        function StringSearchHighlighterComponent() {
        }
        /**
         * @return {?}
         */
        StringSearchHighlighterComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.processedContent = this.originalContent = this.content.nativeElement.textContent;
        };
        /**
         * @param {?} value
         * @return {?}
         */
        StringSearchHighlighterComponent.prototype.whileTextEntered = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            console.log(value);
            this.processedContent = this.originalContent;
            this.processedContent = this.originalContent.replace(new RegExp(value, 'g'), "<span class=\"highlight\">" + value + "</span>");
        };
        StringSearchHighlighterComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'wowapp-string-search-highlighter',
                        template: "\n  <input type=\"text\" (keydown.enter)=\"whileTextEntered($event.target.value)\">\n  <div #content [hidden]=\"true\">\n    <ng-content></ng-content>\n  </div>\n  <div [innerHTML]=\"processedContent\"></div>\n",
                        encapsulation: core.ViewEncapsulation.None,
                        styles: [".highlight{background-color: yellow}"]
                    }] }
        ];
        /** @nocollapse */
        StringSearchHighlighterComponent.ctorParameters = function () { return []; };
        StringSearchHighlighterComponent.propDecorators = {
            content: [{ type: core.ViewChild, args: ['content', null,] }]
        };
        return StringSearchHighlighterComponent;
    }());
    if (false) {
        /** @type {?} */
        StringSearchHighlighterComponent.prototype.content;
        /** @type {?} */
        StringSearchHighlighterComponent.prototype.originalContent;
        /** @type {?} */
        StringSearchHighlighterComponent.prototype.processedContent;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/string-search-highlighter.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StringSearchHighlighterModule = /** @class */ (function () {
        function StringSearchHighlighterModule() {
        }
        StringSearchHighlighterModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [StringSearchHighlighterComponent],
                        imports: [],
                        exports: [StringSearchHighlighterComponent]
                    },] }
        ];
        return StringSearchHighlighterModule;
    }());

    exports.StringSearchHighlighterComponent = StringSearchHighlighterComponent;
    exports.StringSearchHighlighterModule = StringSearchHighlighterModule;
    exports.StringSearchHighlighterService = StringSearchHighlighterService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=string-search-highlighter.umd.js.map
