import { Injectable, ɵɵdefineInjectable, Component, ViewEncapsulation, ViewChild, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/string-search-highlighter.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class StringSearchHighlighterService {
    constructor() { }
}
StringSearchHighlighterService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
StringSearchHighlighterService.ctorParameters = () => [];
/** @nocollapse */ StringSearchHighlighterService.ngInjectableDef = ɵɵdefineInjectable({ factory: function StringSearchHighlighterService_Factory() { return new StringSearchHighlighterService(); }, token: StringSearchHighlighterService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * Generated from: lib/string-search-highlighter.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class StringSearchHighlighterComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.processedContent = this.originalContent = this.content.nativeElement.textContent;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    whileTextEntered(value) {
        console.log(value);
        this.processedContent = this.originalContent;
        this.processedContent = this.originalContent.replace(new RegExp(value, 'g'), `<span class="highlight">${value}</span>`);
    }
}
StringSearchHighlighterComponent.decorators = [
    { type: Component, args: [{
                selector: 'wowapp-string-search-highlighter',
                template: `
  <input type="text" (keydown.enter)="whileTextEntered($event.target.value)">
  <div #content [hidden]="true">
    <ng-content></ng-content>
  </div>
  <div [innerHTML]="processedContent"></div>
`,
                encapsulation: ViewEncapsulation.None,
                styles: [`.highlight{background-color: yellow}`]
            }] }
];
/** @nocollapse */
StringSearchHighlighterComponent.ctorParameters = () => [];
StringSearchHighlighterComponent.propDecorators = {
    content: [{ type: ViewChild, args: ['content', null,] }]
};
if (false) {
    /** @type {?} */
    StringSearchHighlighterComponent.prototype.content;
    /** @type {?} */
    StringSearchHighlighterComponent.prototype.originalContent;
    /** @type {?} */
    StringSearchHighlighterComponent.prototype.processedContent;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/string-search-highlighter.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class StringSearchHighlighterModule {
}
StringSearchHighlighterModule.decorators = [
    { type: NgModule, args: [{
                declarations: [StringSearchHighlighterComponent],
                imports: [],
                exports: [StringSearchHighlighterComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: string-search-highlighter.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { StringSearchHighlighterComponent, StringSearchHighlighterModule, StringSearchHighlighterService };
//# sourceMappingURL=string-search-highlighter.js.map
