import { Injectable, ɵɵdefineInjectable, Component, ViewEncapsulation, ViewChild, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/string-search-highlighter.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var StringSearchHighlighterService = /** @class */ (function () {
    function StringSearchHighlighterService() {
    }
    StringSearchHighlighterService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    StringSearchHighlighterService.ctorParameters = function () { return []; };
    /** @nocollapse */ StringSearchHighlighterService.ngInjectableDef = ɵɵdefineInjectable({ factory: function StringSearchHighlighterService_Factory() { return new StringSearchHighlighterService(); }, token: StringSearchHighlighterService, providedIn: "root" });
    return StringSearchHighlighterService;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/string-search-highlighter.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var StringSearchHighlighterComponent = /** @class */ (function () {
    function StringSearchHighlighterComponent() {
    }
    /**
     * @return {?}
     */
    StringSearchHighlighterComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.processedContent = this.originalContent = this.content.nativeElement.textContent;
    };
    /**
     * @param {?} value
     * @return {?}
     */
    StringSearchHighlighterComponent.prototype.whileTextEntered = /**
     * @param {?} value
     * @return {?}
     */
    function (value) {
        console.log(value);
        this.processedContent = this.originalContent;
        this.processedContent = this.originalContent.replace(new RegExp(value, 'g'), "<span class=\"highlight\">" + value + "</span>");
    };
    StringSearchHighlighterComponent.decorators = [
        { type: Component, args: [{
                    selector: 'wowapp-string-search-highlighter',
                    template: "\n  <input type=\"text\" (keydown.enter)=\"whileTextEntered($event.target.value)\">\n  <div #content [hidden]=\"true\">\n    <ng-content></ng-content>\n  </div>\n  <div [innerHTML]=\"processedContent\"></div>\n",
                    encapsulation: ViewEncapsulation.None,
                    styles: [".highlight{background-color: yellow}"]
                }] }
    ];
    /** @nocollapse */
    StringSearchHighlighterComponent.ctorParameters = function () { return []; };
    StringSearchHighlighterComponent.propDecorators = {
        content: [{ type: ViewChild, args: ['content', null,] }]
    };
    return StringSearchHighlighterComponent;
}());
if (false) {
    /** @type {?} */
    StringSearchHighlighterComponent.prototype.content;
    /** @type {?} */
    StringSearchHighlighterComponent.prototype.originalContent;
    /** @type {?} */
    StringSearchHighlighterComponent.prototype.processedContent;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/string-search-highlighter.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var StringSearchHighlighterModule = /** @class */ (function () {
    function StringSearchHighlighterModule() {
    }
    StringSearchHighlighterModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [StringSearchHighlighterComponent],
                    imports: [],
                    exports: [StringSearchHighlighterComponent]
                },] }
    ];
    return StringSearchHighlighterModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: string-search-highlighter.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { StringSearchHighlighterComponent, StringSearchHighlighterModule, StringSearchHighlighterService };
//# sourceMappingURL=string-search-highlighter.js.map
